package ru.yandex.webmaster3.core.data;

import org.joda.time.DateTime;
import org.springframework.beans.factory.annotation.Required;

/**
 * @author avhaliullin
 */
public class WebmasterApplicationInfo {
    private String hostName;
    private String name;
    private DateTime startDate;
    private String version;

    public String getHostName() {
        return hostName;
    }

    public String getName() {
        return name;
    }

    public DateTime getStartDate() {
        return startDate;
    }

    public String getVersion() {
        return version;
    }

    @Required
    public void setHostName(String hostName) {
        this.hostName = hostName;
    }

    @Required
    public void setName(String name) {
        this.name = name;
    }

    @Required
    public void setStartDate(DateTime startDate) {
        this.startDate = startDate;
    }

    @Required
    public void setVersion(String version) {
        this.version = version;
    }
}
